# Spieler
Date: 2012-09-04

## Class Spieler

- java.lang.Object
- - Spieler

    public class Spieler
    extends java.lang.Object

Verwaltet einen Spieler für das Spiel 6er-Würfeln. Der Spieler hat jeweils die Wahl zu Würfeln oder Aufzuhören und die Punkte zu sichern. Würfelt er eine 6, verliert er die Punkte sofort. Dazu muss dem Spieler ein Würfel-Objekt bekannt sein.

Version:
  1.0 vom 19.06.2012
Author:
  Thomas Schaller

### Constructor Summary

Constructors
Constructor and Description
`Spieler()`

### Method Summary

Methods
`void` `aufhoeren()` Der Spieler beendet den aktuellen Durchgang.
`int` `getGesamtsumme()` Liefert die Gesamtsumme aller Durchgänge.
`int` `getSumme()` Liefert die Summe der Augenzahlen des aktuellen Durchgangs.
`void` `setWuerfel(Wuerfel wuerfel)` Dem Spieler wird ein Würfel-Objekt übergeben.
`int` `wuerfeln()` Der Spieler würfelt 1x.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Spieler

    public Spieler()

### Method Detail

#### getSumme

    public int getSumme()

Liefert die Summe der Augenzahlen des aktuellen Durchgangs.

Returns:
  Summe der Augenzahlen

#### getGesamtsumme

    public int getGesamtsumme()

Liefert die Gesamtsumme aller Durchgänge. Dabei werden die Augenzahlen jedes Durchgangs addiert, sobald die Methode Aufhören aufgerufen wird.

Returns:
  Gesamtsumme aller Durchgänge.

#### wuerfeln

    public int wuerfeln()

Der Spieler würfelt 1x. Wirft er eine 6 verliert er die aktuell gesammelten Augen, ansonsten wird die gewürfelte Zahl hinzuaddiert.

Returns:
  Summe der Augenzahlen des aktuellen Durchgangs

#### aufhoeren

    public void aufhoeren()

Der Spieler beendet den aktuellen Durchgang. Alle in diesem Durchgang gesammelten Punkte werden zur Gesamtsumme hinzuaddiert.

#### setWuerfel

    public void setWuerfel(Wuerfel wuerfel)

Dem Spieler wird ein Würfel-Objekt übergeben.

Parameters:
  `wuerfel` - Würfel, den der Spieler benutzen soll.